Bug 1321616 - Registering CloudForms with RHN through a proxy fails to update /etc/rhsm/rhsm.conf
Summary: Registering CloudForms with RHN through a proxy fails to update /etc/rhsm/rhs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Joe Vlcek
QA Contact: luke couzens
URL:
Whiteboard: update:proxy
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-28 15:53 UTC by Mike Dahlgren
Modified: 2017-05-31 14:19 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:19:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Mike Dahlgren 2016-03-28 15:53:26 UTC
Description of problem:  

When attempting to register and update a CloudForms appliance through the web with a proxy it does not update /etc/rhsm/rhsm.conf file with the proxy info.  This results in a failure to register.

This is a known issue with a manual solution documented at:

https://access.redhat.com/solutions/2146991


Registering appliance  


Version-Release number of selected component (if applicable): 

CloudForms 4.*


How reproducible:


Steps to Reproduce:
1. Register CloudForms through the web UI through a proxy
2.Click Validate / Save

Actual results:
CloudForms UI shows error 70 failure to connect

Expected results:
CloudForms would Register with RHN


Additional info:

Comment 7 CFME Bot 2016-12-15 02:26:08 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/571d8baa6bf526c45593bb4e099a204bf39d9cb1

commit 571d8baa6bf526c45593bb4e099a204bf39d9cb1
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Wed Dec 7 17:57:11 2016 -0500
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Tue Dec 13 15:38:54 2016 -0500

    Update rhsm config file when registering with RHN through a proxy server
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1321616

 app/controllers/ops_controller/settings/rhn.rb |   1 +
 app/models/registration_system.rb              |  48 +++++++++
 spec/models/registration_system_spec.rb        | 130 ++++++++++++++++++++++++-
 3 files changed, 178 insertions(+), 1 deletion(-)

Comment 8 luke couzens 2017-03-06 15:30:21 UTC
Verified in 5.8.0.3

Comment 10 errata-xmlrpc 2017-05-31 14:19:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.